.angular-google-map-container { height: 400px; }

.suggested {
    color: #555;
    border-bottom: 1px dotted #555;
    margin-right: 0.7em;
}
.clickable {
    cursor: pointer;
}

.default-wrapper {
    border: 1px dotted #DDD !important;
}
.multilabel-wrapper {
    margin-right: 1em;
    height: 33px;
    cursor: pointer;
    height: auto;
    border-bottom: 1px solid #CCC;
}
.multilabel-wrapper .filter-label {
    font-weight: 100;
    color: #7f8992 !important;
}
a.multilabel-wrapper .filter-label:hover {
    color: #666f78 !important;
}
.multilabel-wrapper span.highlighted {
    font-weight: bolder;
}
.multilabel-wrapper .form-control {
    background: rgba(0, 0, 0, 0);
}
.multilabel-wrapper .fake-value {
    background: rgba(0, 0, 0, 0);
    background-color: #f2f5f8;
}
.multilabel-wrapper div.filter-value {
    display: block;
    padding: 5px;
    border-bottom: 1px solid #c4c9cf;
}
.multilabel-wrapper div.filter-value.multilabel {
    background-color: steelblue;
    padding: 1px;
    padding-left: 9px;
    border-radius: 5px;
    margin: 4px;
    line-height: 1px;
    color: white;
}
.multilabel-wrapper div.filter-value.multilabel .filter-close {
    color: #FFF;
}
.multilabel-wrapper input.filter-value {
    outline: 0;
    margin: 0px;
    border: 0px;
    display: inline;
    width: 100px;
    padding: 5px;
}
.multilabel-wrapper .filter-close {
    vertical-align: text-top;
    font-size: 1.3em;
    color: #CCC;
}
.multilabel-wrapper .dropdown-menu {
    margin-top: 4px;
    margin-left: -2px;
    min-width: 105px;
    max-height: 200px;
    overflow-y: auto;
    display: block;
}
.multilabel-wrapper .select-search {
    display: inline-block;
}
.multilabel-wrapper div.filter-value {
    border-bottom: none;
}
.select-wrapper {
    margin-right: 1em;
    height: 33px;
    cursor: pointer;
}
.select-wrapper .filter-label {
    font-weight: 100;
    color: #7f8992 !important;
}
a.select-wrapper .filter-label:hover {
    color: #666f78 !important;
}
.select-wrapper span.highlighted {
    font-weight: bolder;
}
.select-wrapper .form-control {
    background: rgba(0, 0, 0, 0);
}
.select-wrapper .fake-value {
    background: rgba(0, 0, 0, 0);
    background-color: #f2f5f8;
}
.select-wrapper div.filter-value {
    display: block;
    padding: 5px;
    border-bottom: 1px solid #c4c9cf;
}
.select-wrapper div.filter-value.multilabel {
    background-color: steelblue;
    padding: 1px;
    padding-left: 9px;
    border-radius: 5px;
    margin: 4px;
    line-height: 1px;
    color: white;
}
.select-wrapper div.filter-value.multilabel .filter-close {
    color: #FFF;
}
.select-wrapper input.filter-value {
    outline: 0;
    margin: 0px;
    border: 0px;
    display: inline;
    width: 100px;
    padding: 5px;
}
.select-wrapper .filter-close {
    vertical-align: text-top;
    font-size: 1.3em;
    color: #CCC;
}
.select-wrapper .dropdown-menu {
    margin-top: 4px;
    margin-left: -2px;
    min-width: 105px;
    max-height: 200px;
    overflow-y: auto;
    display: block;
}
.select-wrapper .select-search {
    display: inline-block;
}
.filter-wrapper.range-filter {
    position: inherit;
}
.filter-wrapper {
    position: relative;
    margin-right: 1em;
    margin-bottom: 1em;
    border-radius: 5px;
    border: 1px solid #DDD;
    float: left;
    min-height: 33px;
    padding: 1px 10px;
    cursor: pointer;
}
.filter-wrapper .filter-label {
    font-weight: 100;
    color: #7f8992 !important;
    top: 2px;
    position: relative;
}
a.filter-wrapper .filter-label:hover {
    color: #666f78 !important;
}
.filter-wrapper span.highlighted {
    font-weight: bolder;
}
.filter-wrapper div.filter-value {
    margin-right: 15px;
    display: inline-block;
    padding: 4px;
    border-bottom: 1px solid transparent;
    font-weight: bold;
}
.filter-wrapper div.filter-value.multilabel {
    background-color: steelblue;
    padding: 2px;
    padding-left: 9px;
    border-radius: 5px;
    margin: 4px;
    line-height: 1px;
    color: white;
}
.filter-wrapper div.filter-value.multilabel .filter-close {
    color: #FFF;
    font-size: 1em;
    padding: 2px;
}
.filter-wrapper input.filter-value {
    outline: 0;
    margin: 0px;
    border: 0px;
    display: inline;
    width: 100px;
    padding: 5px;
}
.filter-wrapper .filter-close {
    vertical-align: text-top;
    font-size: 1.3em;
    color: #CCC;
}
.filter-wrapper .dropdown-menu {
    margin-top: 4px;
    margin-left: -2px;
    min-width: 105px;
    max-height: 200px;
    overflow-y: auto;
    display: block;
}
.filter-wrapper .select-search {
    display: inline-block;
}
.filter-placeholder {
    margin-right: 1em;
    margin-bottom: 1em;
    float: left;
    padding: 1px 10px;
    cursor: pointer;
}
.filter-placeholder .icon {
    vertical-align: text-top;
    font-size: 1.2em;
    color: #AAAAAA;
}
.filter-placeholder .placeholder {
    display: inline-block;
    padding: 5px;
    border-bottom: 1px solid transparent;
    font-weight: 100;
    font-style: italic;
    color: #7f8992 !important;
}
a.filter-placeholder .placeholder:hover {
    color: #666f78 !important;
}
.filter-placeholder input.filter-value {
    outline: 0;
    margin: 0px;
    border: 0px;
    display: inline;
    width: 100px;
    padding: 5px;
}
.filter-placeholder .dropdown-menu {
    margin-top: 4px;
    margin-left: -2px;
    min-width: 105px;
    max-height: 200px;
    overflow-y: auto;
    display: block;
}

::-ms-tooltip {
    display: none;
}

.sp-circle {
    border: 4px rgba(0, 0, 0, 0.25) solid;
    border-top: 4px black solid;
    border-radius: 50%;
    -webkit-animation: spCircRot .6s infinite linear;
    animation: spCircRot .6s infinite linear;
}
.sp {
    width: 32px;
    height: 32px;
    clear: both;
    margin: 20px auto;
}
@-webkit-keyframes spCircRot {
    from { -webkit-transform: rotate(0deg); }
    to { -webkit-transform: rotate(359deg); }
}
@keyframes spCircRot {
    from { transform: rotate(0deg); }
    to { transform: rotate(359deg); }
}

.height-auto:before {
    content: " ";
    position: absolute;
    width: 200px;
    top: 45px;
    bottom: 0;
    background-color: inherit;
    border: inherit;
    z-index: 0;
}
.height-auto-min:before {
    content: " ";
    position: absolute;
    width: 199px;
    top: 45px;
    bottom: 0;
    background-color: inherit;
    border-left: 1px solid rgba(120, 130, 140, 0.13);
    z-index: 0;

}

/* ALERT */
/*======================================*/
.alert {
    border-radius: 0;
    border: 0;
    padding: 5px;
    position: relative;
}
.alert .alert-link {
    text-decoration: underline;
    font-weight: normal;
}
.alert .alert-link:hover {
    text-decoration: underline;
}
.alert .close {
    text-shadow: none;
    opacity: .6;
    position: absolute;
    left: auto;
    right: 10px;
    top: 10px;
}
.alert button.close {
    padding: 1px;
    border-radius: 20px;
    -webkit-transition: all, 0.3s;
    transition: all, 0.3s;
}
.alert button.close > span:not(.sr-only) {
    display: block;
    width: 1em;
    height: 1em;
    line-height: 0.8em;
}
.alert button.close:hover {
    opacity: .55;
}
.alert button.close:active {
    opacity: 0.3;
}
.alert-primary {
    background-color: #6daae0;
    border-color: transparent;
    color: #ffffff;
}
.alert-primary .close,
.alert-primary .alert-link {
    color: #ffffff;
}
.alert-info {
    background-color: #5ec2dd;
    border-color: transparent;
    color: #ffffff;
}
.alert-info .close,
.alert-info .alert-link {
    color: #ffffff;
}
.alert-success {
    background-color: #65ce46;
    border-color: transparent;
    color: #ffffff;
}
.alert-success .close,
.alert-success .alert-link {
    color: #ffffff;
}
.alert-warning {
    background-color: #edb25b;
    border-color: transparent;
    color: #ffffff;
}
.alert-warning .close,
.alert-warning .alert-link {
    color: #ffffff;
}
.alert-danger {
    background-color: #f87961;
    border-color: transparent;
    color: #ffffff;
}
.alert-danger .close,
.alert-danger .alert-link {
    color: #ffffff;
}
.alert-mint {
    background-color: #60ccaf;
    border-color: transparent;
    color: #ffffff;
}
.alert-mint .close,
.alert-mint .alert-link {
    color: #ffffff;
}
.alert-purple {
    background-color: #a1709b;
    border-color: transparent;
    color: #ffffff;
}
.alert-purple .close,
.alert-purple .alert-link {
    color: #ffffff;
}
.alert-pink {
    background-color: #e488af;
    border-color: transparent;
    color: #ffffff;
}
.alert-pink .close,
.alert-pink .alert-link {
    color: #ffffff;
}
.alert-dark {
    background-color: #4d5257;
    border-color: transparent;
    color: #ffffff;
}
.alert-dark .close,
.alert-dark .alert-link {
    color: #ffffff;
}

.notifications .notifications-container {
    min-height: 40px;
    line-height: 40px;
    width: 100%;
    z-index: 1000;
    position: relative;
}
/* line 15, ../sass/ngNotificationsBar.scss */
.notifications .notification,
.notifications .error,
.notifications .success,
.notifications .warning {
    position: relative;
    -webkit-animation: fadeInDown 1s ease 0.2s 1 both;
    -o-animation: fadeInDown 1s ease 0.2s 1 both;
    animation: fadeInDown 1s ease 0.2s 1 both;
    -webkit-animation-backface-visibility: hidden;
    -moz-animation-backface-visibility: hidden;
    -ms-animation-backface-visibility: hidden;
    -o-animation-backface-visibility: hidden;
    animation-backface-visibility: hidden;
    text-align: left;
    font-size: 12px;
    color: #fff;
}
/* line 23, ../sass/ngNotificationsBar.scss */
.notifications .message {
    padding: 0 12px;
}
/* line 27, ../sass/ngNotificationsBar.scss */
.notifications .error {
    background-color: #F64747;
    border-bottom: 1px solid #f31515;
}
/* line 33, ../sass/ngNotificationsBar.scss */
.notifications .success {
    background-color: #03C9A9;
    border-bottom: 1px solid #02aa8f;
}
/* line 39, ../sass/ngNotificationsBar.scss */
.notifications .warning {
    background-color: #F7CA18;
    border-bottom: 1px solid #e7ba08;
}
/* line 45, ../sass/ngNotificationsBar.scss */
.notifications .close-click {
    position: absolute;
    right: 4px;
    top: 4px;
    font-size: 22px;
    cursor: pointer;
    padding: 10px;
    margin: 0 auto;
}

.nav, .pagination, .carousel, .panel-title a { cursor: pointer; }

.pull-in {
    margin-left: -16px;
    margin-right: -16px;
}

.pull-in-2x {
    margin-left: -32px;
    margin-right: -16px;
}

.push-left {
    margin-left: 16px;
}

.note-btn-group .dropdown-toggle::after {
    display: none;
}

.note-image-popover,.note-link-popover {
    display: none;
}

.ui-select-toggle {
    height: 38px!important;
}

.has-error .form-control {
    border-color: #d9534f;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
}

.form-validation .form-control.ng-dirty.ng-invalid {
    border-color: #d9534f!important;
}

.bulk {
    position: absolute;
    top: 13px;
}

/* FEEDBACK BUTTON */
.feedback-btn {
    position: fixed;
    right: 60px;
    bottom: -3px;
    width: auto;
    font-size: 14px;
}

#feedback-module p {
    font-size: 13px;
}

#feedback-note-tmp {
    width: 444px;
    height: auto;
    min-height: 90px;
    padding: 4px;
    outline: none;
}

#feedback-note-tmp:focus,
#feedback-overview-note:focus {
    border: 1px solid #64b7cc;
}

#feedback-canvas {
    position: absolute;
    top: 0;
    left: 0;
}

#feedback-welcome {
    position: fixed;
    top: 30%;
    left: 50%;
    display: block;
    margin-left: -270px;
}

.feedback-logo {
    width: 34px;
    height: 32px;
    padding-left: 40px;
    margin-bottom: 16px;
    font-size: 16px;
    font-weight: normal;
    line-height: 32px;
    background: url(/images/icons.png) 0px 0px no-repeat;
}

.feedback-next-btn {
    float: right;
    width: 72px;
    height: 29px;
    padding: 0 8px;
    font-size: 13px;
    line-height: 27px;
}

.feedback-back-btn {
    float: right;
    width: 72px;
    height: 29px;
    padding: 0 8px;
    margin-right: 20px;
    font-size: 13px;
    line-height: 27px;
}

.feedback-submit-btn {
    float: right;
    width: 72px;
    height: 29px;
    padding: 0 8px;
    font-size: 13px;
    line-height: 27px;
}

.feedback-close-btn {
    float: right;
    width: 72px;
    height: 29px;
    padding: 0 8px;
    font-size: 13px;
    line-height: 27px;
}

.feedback-helper {
    cursor: default;
    background: rgba(0, 0, 0, 0);
}

.feedback-helper[data-type="highlight"] > .feedback-helper-inner {
    background: rgba(0, 68, 255, 0.1);
}

#feedback-close {
    position: absolute;
    width: 30px;
    height: 30px;
    cursor: pointer;
    background: url(/images/icons.png) 0px -64px;
}

.feedback-wizard-close {
    position: absolute;
    top: 2px;
    right: 2px;
    width: 30px;
    height: 30px;
    cursor: pointer;
    background: url(/images/icons.png) 0px -34px;
    opacity: 0.65;
}

.feedback-wizard-close:hover {
    opacity: 1;
}

#feedback-welcome-error,
#feedback-overview-error {
    display: none;
    float: right;
    margin-right: 30px;
    font-size: 13px;
    line-height: 29px;
    color: #f13e3e;
}

#feedback-overview-error {
    margin-top: 20px;
}

#feedback-highlighter {
    position: fixed;
    right: 100px;
    bottom: 100px;
    display: none;
    width: 540px;
    height: 275px;
}

#feedback-overview {
    position: fixed;
    top: 10%;
    left: 50%;
    display: none;
    width: 840px!important;
    height: auto;
    margin-left: -420px;
}

#feedback-submit-error,
#feedback-submit-success {
    position: fixed;
    top: 30%;
    left: 50%;
    display: block;
    width: 600px;
    height: auto;
    margin-left: -300px;
}

.feedback-btn {
    z-index: 40000;
    padding: 10px;
    outline: 0;
    -webkit-box-shadow: 0 4px 16px rgba(0, 0, 0, 0.2);
    -moz-box-shadow: 0 4px 16px rgba(0, 0, 0, 0.2);
    box-shadow: 0 4px 16px rgba(0, 0, 0, 0.2);
    background-clip: padding-box;
}

.feedback-btn-gray {
    color: #444;
    text-align: center;
    cursor: pointer;
    background-color: #f5f5f5;
    background-image: -webkit-linear-gradient(top, #f5f5f5, #f1f1f1);
    background-image: -moz-linear-gradient(top, #f5f5f5, #f1f1f1);
    background-image: -ms-linear-gradient(top, #f5f5f5, #f1f1f1);
    background-image: -o-linear-gradient(top, #f5f5f5, #f1f1f1);
    background-image: linear-gradient(top, #f5f5f5, #f1f1f1);
    border: 1px solid #dcdcdc;
    border: 1px solid rgba(0, 0, 0, 0.1);
    border-radius: 2px;
}

.feedback-btn-gray:hover {
    color: #333;
    background-color: #f8f8f8;
    background-image: -webkit-linear-gradient(top, #f8f8f8, #f1f1f1);
    background-image: -moz-linear-gradient(top, #f8f8f8, #f1f1f1);
    background-image: -ms-linear-gradient(top, #f8f8f8, #f1f1f1);
    background-image: -o-linear-gradient(top, #f8f8f8, #f1f1f1);
    background-image: linear-gradient(top, #f8f8f8, #f1f1f1);
    border: 1px solid #c6c6c6;
}

.feedback-btn-blue {
    color: #fff;
    text-align: center;
    cursor: pointer;
    background-color: #357ae8;
    background-image: -webkit-linear-gradient(top, #4d90fe, #357ae8);
    background-image: -moz-linear-gradient(top, #4d90fe, #357ae8);
    background-image: -ms-linear-gradient(top, #4d90fe, #357ae8);
    background-image: -o-linear-gradient(top, #4d90fe, #357ae8);
    background-image: linear-gradient(top, #4d90fe, #357ae8);
    border: 1px solid #2f5bb7;
    border-radius: 2px;
}

#feedback-note-tmp,
#feedback-overview-note {
    resize: none;
}

#feedback-welcome,
#feedback-highlighter,
#feedback-overview,
#feedback-submit-success,
#feedback-submit-error {
    z-index: 40000;
    width: 540px;
    padding: 30px 42px;
    background: #fff;
    border: 1px solid rgba(0, 0, 0, 0.333);
    outline: 0;
    -webkit-transform: translateZ();
    -webkit-box-shadow: 0 4px 16px rgba(0, 0, 0, 0.2);
    -moz-box-shadow: 0 4px 16px rgba(0, 0, 0, 0.2);
    box-shadow: 0 4px 16px rgba(0, 0, 0, 0.2);
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    background-clip: padding-box;
}

.feedback-sethighlight,
.feedback-setblackout {
    display: inline-block;
    float: left;
    height: 30px;
    min-width: 90px;
    padding: 0 8px;
    margin-right: 16px;
    font-size: 11px;
    font-weight: bold;
    line-height: 28px;
    color: #444;
    text-align: center;
    white-space: nowrap;
    cursor: default;
    background-color: #f5f5f5;
    background-image: -webkit-linear-gradient(top, #f5f5f5, #f1f1f1);
    background-image: -moz-linear-gradient(top, #f5f5f5, #f1f1f1);
    background-image: -ms-linear-gradient(top, #f5f5f5, #f1f1f1);
    background-image: -o-linear-gradient(top, #f5f5f5, #f1f1f1);
    background-image: linear-gradient(top, #f5f5f5, #f1f1f1);
    border: 1px solid #dcdcdc;
    border: 1px solid rgba(0, 0, 0, 0.1);
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
    border-radius: 2px;
    outline: 0;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
}

.feedback-setblackout {
    margin-top: 10px;
    clear: both;
}

.feedback-sethighlight div {
    float: left;
    width: 16px;
    height: 16px;
    margin-top: 7px;
    background: url(/images/icons.png) 0px -94px;
}

.feedback-setblackout div {
    float: left;
    width: 16px;
    height: 16px;
    margin-top: 7px;
    background: url(/images/icons.png) -16px -94px;
}

.feedback-sethighlight:hover,
.feedback-setblackout:hover {
    color: #333;
    background-color: #f8f8f8;
    background-image: -webkit-linear-gradient(top, #f8f8f8, #f1f1f1);
    background-image: -moz-linear-gradient(top, #f8f8f8, #f1f1f1);
    background-image: -ms-linear-gradient(top, #f8f8f8, #f1f1f1);
    background-image: -o-linear-gradient(top, #f8f8f8, #f1f1f1);
    background-image: linear-gradient(top, #f8f8f8, #f1f1f1);
    border: 1px solid #c6c6c6;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
}

.feedback-active {
    color: #333;
    background-color: #eee;
    background-image: -webkit-linear-gradient(top, #eeeeee, #e0e0e0);
    background-image: -moz-linear-gradient(top, #eeeeee, #e0e0e0);
    background-image: -ms-linear-gradient(top, #eeeeee, #e0e0e0);
    background-image: -o-linear-gradient(top, #eeeeee, #e0e0e0);
    background-image: linear-gradient(top, #eeeeee, #e0e0e0);
    border: 1px solid #ccc;
    -webkit-box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
    box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
}

#feedback-highlighter label {
    float: left;
    margin: 0 0 0 10px;
    font-size: 13px;
    font-weight: normal;
    line-height: 30px;
}

#feedback-highlighter label.lower {
    margin-top: 10px;
}

.feedback-buttons {
    float: right;
    margin-top: 20px;
    clear: both;
}

#feedback-module h3 {
    margin: 8px 0;
    font-size: 15px;
    font-weight: bold;
}

.feedback-additional {
    margin-bottom: 20px !important;
}

#feedback-overview-description {
    float: left;
}

#feedback-overview-note {
    width: 314px;
    height: 90px;
    padding: 4px;
    outline: none;
}

#feedback-overview-screenshot {
    float: right;
}

.feedback-screenshot {
    max-width: 396px;
    padding: 1px;
    border: 1px solid #adadad;
}

#feedback-overview-description-text span {
    padding-left: 10px;
    margin: 8px 0;
    margin-left: 26px;
    font-size: 14px;
    color: #666;
    background: url(/images/icons.png) -30px -34px no-repeat;
}

#feedback-browser-info,
#feedback-page-info,
#feedback-timestamp,
#feedback-page-structure,
#feedback-additional-none {
    display: none;
    margin-top: 16px;
}

.handle {
    cursor: move;

}